/* readris.h: header for readris.c */
/* markus@mhoenicka.de 3-11-00 */
/* $Id: readris.h,v 1.5 2003/09/28 19:39:10 mhoenicka Exp $ */

/*
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, see <http://www.gnu.org/licenses/>

  ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

#define RIS_LINE_SIZE 16384

int read_ris_set(FILE* fp, char* deffile, char** ptr_inbuffer, size_t* ptr_inbufsize, int pull_in_default);
int add_id_from_ris(FILE* infilefp, char** ptr_buffer, size_t *ptr_bufsize);
int add_id_from_aux(FILE* infilefp, char** ptr_buffer, size_t *ptr_bufsize);
char* read_tokens(int infile_fd, char* buffer, size_t *ptr_buffer_len);
short int risdate(char* otherinfo_buffer, char* string);
int ris_rpdate(char* date_buffer, char* rp_string);
char* print_risdate(time_t* date, char* datestring, int yeardigits);

